Presentation

CesarFTP Presentation

Please read the license agreement. This software is temporarily distributed as freeware and will become a shareware shortly. Once the shareware version released, there will be no support for the freeware version.

CesarFTP is an easy-to-use and fast to configure FTP server. Fed up with modifying your hard disk structure to share your file ? Then enjoy CesarFTP virtual file system support ! You can with a few clicks configure your server to share specific files without moving and / or copying them to a new place. CesarFTP also supports quotas and ratios, download speed limitation, limitation of the number of connects and many other miscellaneous things ! You can as well configure file logs and screen logs. With events handling, you can configure an automatic processing of uploaded files. Now you can run the server as a system service and remote control it !

CesarFTP is designed for Windows 95, 98, Millennium, NT (including 2000), with Winsock 2.0 at least installed and preferably with Internet Explorer 4.x or higher installed for help file support. For Window 95 users, you may need to add some updates to your system in order to run this program. Please visit Microsoft site in order to download theses updates (Winsock 2 & IE 4 or higher).

CesarFTP has been designed for users so feel free to report bugs you may find, or improvement you would like to be implemented in CesarFTP server. Your feedback is really important.

If you don't feel comfortable with difficult settings and command lines, this FTP server is for you ! You can within a few seconds configure the server to share data using an anonymous account. CesarFTP also brings to users many unique features which may be very helpful for advanced users.

Detailed Features:

  • Colored text within the log window.
  • You can Kick users.
  • You can Ban users.
  • You can send messages to the users.
  • Ability to prevent new connections occurring while keeping the previous ones active.
  • A very understandable and complete set of options for accounts configuration is available. You can use groups of users and configure them in the same window.
  • Support for download speed limitation.
  • You can limit the number of connected users on an account basis or global basis.
  • Support time-out.
  • You can set Ban/Authorize access rules based on IP and/or hostname.
  • Support for ratios and quotas, on a file/byte/per session/all sessions basis.
  • Support for specific handling of events: you can make processing of uploaded files automated.
  • For each event, you can: set a specific answer, play a sound, or execute a command line.
  • Fields are provided to store specific information about users.
  • Use a constant number of threads to improve performance when highly loaded.
  • Very comprehensive browser to set up your FTP server! Selecting folders and files to share is a snap with CesarFTP. You can set up a virtual file system, which allows you not to move files on your hard disk. The access rights system allows you to fine tune the way users can access your server.
  • A statistic window where you can see specific information about current connections.
  • It can be run as a NT service.
  • Remote control of the server using the same interface is possible. Everything you can do on the computer where the server runs is possible on another computer.
  • You can fine tune the way the server logs information about the connections.

Contact Information


License Agreement

CesarFTP 0.99b
Copyright (c) 2000-2001 ACLogic, Alexandre Cesari
All Rights Reserved

This software is FREEWARE, which means it can be used and distributed freely, as long as you distribute the whole package distributed on the web site. You may not distribute just parts of this package.
NOTE: The version number expresses clearly that this software may suffer from bugs. Using this software implies that you agree with this license agreement and accept any damages related to the use of the software.

This computer program is protected by copyright law. Unauthorized reproduction or distribution of this program, or any portion of it may result in severe civil and criminal penalties and will be prosecuted to the maximum extent possible under law.

Disclaimer of warranty

THIS SOFTWARE AND THE ACCOMPANYING FILES ARE DISTRIBUTED "AS IS" AND WITHOUT WARRANTIES AS TO PERFORMANCE OR MERCHANTABILITY OR ANY OTHER WARRANTIES WHETHER EXPRESSED OR IMPLIED. YOU USE THIS SOFTWARE AT YOUR OWN RISK. THE AUTHOR WON'T BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE. NO WARRANTY OF FITNESS FOR A PARTICULAR PURPOSE IS OFFERED.

USERS ARE RESPONSIBLE OF THEIR USE OF THE SOFTWARE, THE AUTHOR CAN NOT BE HELD RESPONSIBLE FOR SHARED DATA, ESPECIALLY COPYRIGHTED OR ILLEGAL DATA.


Interface Description

  • Main Window
    • Menus
    • Main ToolBar
    • Connection List
    • Log View
  • Users & Groups Settings Dialog
    • General Considerations
    • Users & Groups list
    • General Tab
    • Misc Tab
    • Ban Tab
    • Ratio Tab
    • Events Tab
    • Info Tab
  • Server Settings Dialog
    • General Considerations
    • General Tab
    • IP Config Tab
    • Ban Tab
    • Log Tab
  • Browser Window
    • General Considerations
    • Access Rights Bar
  • Statistic Window
    • Connection List
    • SpyView
  • Spy Window


Main Window Description

Menus:

  • Control
    • Disconnect from server: Shutdown the control connect. It leaves the server and the controller running.
    • Close server: Shutdown the server and the control connect.
    • Open startup dialog: Open the dialog which allows you to open a new control connect, launch a local server or connect to a distant server which is remote control enabled.
    • Reset configuration: Restore default server configuration. It kills all active connects and delete all accounts so use it carefully.
    • Exit: Exit the server. If there are still some pending connects, you have the choice between waiting for their terminations, or to exit immediately.
  • Settings
    • Edit Server Options: open up the server settings dialog.
    • Edit Users & Groups: open up the users & groups settings dialog.
  • Statistics
    • Show: open up the statistic window.
  • View
    • Main Toolbar: Show/hide the main toolbar.
    • Connection Toolbar: show/hide the connection toolbar.
    • Status Bar: show/hide the status bar.
  • Help
    • Help Topic: Display the help.
    • About CesarFTP...: Display an information dialog.

Main Toolbar:

Start/Stop listening on server port. Red states for inactivated, green for activated, yellow for activated but not accepting new connects.

Toggle server state between active and closed to new connects (yellow state).

Open up the users & groups settings dialog.

Open up the server settings dialog.

Open up the statistics window.

Display an information dialog.

Connect List:

Kick, disconnect the user.

Ban, disconnect the user and add its IP to the ban list.

Spy user, open a spy window, which logs all user's requests. For logging rules check server setting dialog.

Open up the statistics window and select the current connect.

Open up the users & groups settings dialog and select the current selected user.

Open up the message dialog, used to send a message to the selected connects.

Log View:

Log View contains log information. To change what should be logged, you must go to the server settings dialog, log tab.


Users & Groups Settings Dialog

General Considerations

Changed settings are not effective until you click the Ok button. Cancel button cancels all changes made. Server can still work when changing settings.

Users & groups list

This is the list of the current accounts. There are two types of account: users and groups. Groups can't be used alone. Groups are used to share settings between a group of users. An user has a name, a login which might be different from his name, and optionally a password. There cannot be multiple users with the same login or name, but they can have the same password, not recommended though.
Groups are shown by an icon with two persons, users are shown by a single person icon. Users belonging to a group are placed under this group and indented to the right. Users who don't belong to a group aren't indented. Groups and users are sorted alphabetically.

To add a new user account, click the Add User button.
To add a new group account, click the Add Group button.
To remove an account, user or group, select it and click the Delete button.

Inheritance Rules
Users belonging to a group share some settings with the group. For the inheritance to apply you must set the check box of the option grey-checked. If you cannot set it to grey-checked, either the user doesn't belong to a group or the option cannot be inherited. When you add a user to a group, a certain number of options are automatically grey-checked.

Example:
Grey-checked: user inherits the group setting. Exception: User limit.
or [image] The setting is either inactive or active. Group setting has no effect.

General Tab

  • User/Group name
    Set the user or group name.
  • User's group
    If you want the user to belong to a group, then select the group in the combo box.
  • Enable account
    If disabled, the account cannot be used to access the FTP server.
  • Login
    Specify user's login here. Login is used in the connection sequence.
  • Password
    For more security, you can add a password to be used in the connection sequence.
  • Anonymous Access
    Set up Login and Password for an anonymous account.
  • Generate Password
    This can be used to generate a random password if you don't have any idea.
  • File Access Rights
    One of the more important part of the settings. Open up the browser window, where you will be able to configure what directories and files you will share, and what kind of access you grant to the user.

Misc Tab

  • Max Kb/s
    This is used to set a download speed limit to users. 0 means no limit. Limit is expressed in kilobytes per second.
  • Limit simultaneous users
    This is used to set the maximum number of simultaneous connections using this particular account. For groups it is the maximum number of simultaneous connections using any account belonging to the group.
  • By-pass server maximum number of connects
    This is useful if you want to have an administrator account which can be used even if the server's number of users limit is reached.
  • Time out
    Time out is used to kick idle connection after a delay. This is used to set this delay.
  • Noop comand disallowed
    In order to prevent idle disconnection after a time out, some client uses this command. This enhance idle connection detection.

Ban Tab

  • Access Rules
    This is the list of the current access masks. (+) means accepted IP or hostnames, (-) refused. Mask type is indicated at the end of line.
  • Delete
    Select the mask you want to delete and click this button to delete it.
  • Accept
    Add specified accept mask. If the mask is IP Style, mask will be IP, otherwise it will be hostname based.
  • Refuse
    Add specified banned mask. If the mask is IP Style, mask will be IP, otherwise it will be hostname based.

    • Note: Hostname masks are effective only if IP resolving to hostname is activated in the server settings dialog. As long as there is no accept mask, all connections are accepted ( excepting of course the banned ones ). If there are accept masks, only IP or hostname satisfying those masks will be accepted.

Ratio Tab

  • Enable Ratio
    Check this button to enable ratio.
  • Upload & Download
    Those two texts areas are used to determine a ratio. for X uploaded files, or bytes usesr will have Y files or bytes credit.
  • Initial ( or current ) download credit
    Initial ( or current ) download credit granted to users.
  • Count method
    Tell how ratio should be applied: byte per byte or file per file, counting over all sessions, or only one.
  • Enable disk Quota
    Check this button to enable quota.
  • Upload Quota
    Set the current maximum amount of bytes ( or files ) that the users can write ( upload) to the server.
  • Count method
    Tell how quota settings should be used.

Events Tab

  • Events
    This is the list of the currently supported events. Click on the one you want to handle.
  • FTP message to send
    Check the button if you want to send a particular answer to the user. Put the message in the text box below the check button.
  • Play Sound
    Check the button if you want to play a sound on event. Click the "..." button to browse for the sound file and click "play" to play it.
  • Execute
    Check the button if you want to execute a program on event. Click the ".." button to browse for the file to execute.
    Tips: you should enclose each arguments in quotation marks as shown on the picture to prevent files with space in their path to be interpreted as two different arguments.
    You can specify options for the execute and arguments options using the percentage character % as shown on the picture:
    • %FILEPATH is replaced by the full path of the file concerned by the operation ( in the picture it's the uploaded file useful if you want to process uploaded files).
    • %FILEDIR is replaced by the parent directory of the file concerned by the operation.
    • %FILEEXT is replaced by the extension of the file name concerned by the operation.
    • %FILENAME is replaced by the name of the file concerned by the operation.
    • %FILESIZE is replaced by the size of the file concerned by the operation.
    • %USERNAME is replaced by the account name of the user.
    • %USERIP is replaced by the IP of the user.

Info Tab

This tab contains no critical settings for the server. It is just a convenient way to store information about account holders. Put in those fields anything you want.


Browser Window

General Considerations

The window is divided into four panes: the two top panes represent the local file system; the two bottom panes represent the FTP file system. To share a directory, drag & drop it from the top to the bottom. You can then decide what access rights are affected to each share. Right clicking in the bottom panes shows a context menu, which let you make several changes to your shares. "deleted" files and directories are shown in grey. Added directories as well as changes of access rights are colored in blue. File and directories inherited from the group are colored in red.

In order to set the default directory ( initial directory when the user logs ) you can right click on the new default directory then click on "set as default directory". Or you can select it and click the D button on the upper toolbar.

Context Menu & Toolbar

It is only available on the two bottom panes.

  • Remove directory / Modification
    This remove any modification made to the folder: if it was "deleted" it is shared again etc... Any rights modification is removed. Any name change is removed too. Note that if the directory was rename, every modification made to any of its direct or indirect children is removed.
  • Add a virtual directory
    Add a directory which point to nothing. Useful to organize your FTP directory tree.
  • Set as default directory
    Set the directory as the default directory when a user connect to your FTP server. "/" is the default is none is specified.
  • Change name
    Change the name of a directory (available only in the tree, not in the file listing).
  • Remove all changes made in this directory
    Remove all changes made to any of the children of the specified directory. The selected directory itself is not affected.
  • Set the realpath the directory is pointing to
    Only available for the root ( root of the tree ). Set the real path the root is pointing to.
  • Set the directory to point to nothing
    Only available for the root ( root of the tree). Set no real path to point to. The root act as a pure virtual directory.

Access Rights Bar

  • File Access Rights
    When changing file access rights of a directory, you affect access rights of the files of the directory. When you change the access rights of a file, you are only changing the access rights of this file.
    • Read
      Grant read access. This allows downloading.
    • Write
      Grant write access. This allows creation of new uploaded files. If you want to allow users to resume uploads, you must set the append access right.
    • Delete
      Grant delete access. Apart from the right to delete files, this also allows renaming of them. Use with care. It does not apply to directories.
    • Append
      Grant append access. This does not allow uploading of new files like the write access right, but allows to resume uploads as well as writing over an actual file limit. Use with care, as a user can increase a file size, thus making it unusable.

  • Directories Access Rights
    This applies to children directories of the directory you are changing access rights.
    • Inherit
      Inherit means that this directory has exactly the same properties as its parents. Those properties cannot be changed without removing inheritance.
    • List
      Grant list right of the directory. This allows user to make a list of the directory, and know what are the files it contains. >
    • Delete
      Grant directory delete right. Users can, with this right, delete a directory.
    • SubDirs Access
      Grant access to sub directories. Without this right, users cannot have access to sub directories.
    • Make
      Grant directory creation right. This allows users to create new directories.

  • Text Box
    This textbox shows the real path that matches the selected virtual path on the FTP server.
  • Default Directory
    This text box indicates what is the current default folder when a user connects to the server. You can change this by right clicking on the new default folder and click "set as default folder". Or you can select it and click on the D icon. (D stands for Default).


Server Settings Dialog

General Considerations

Settings in this dialog applies to the server and to all accounts. Access masks in the Ban Tab of the server settings dialog have the priority over access masks of the accounts.

General Tab

  • Startup Options
    • Launch on system start, install as a service
      When checked, the server launches on system start if it runs on Windows 9x. On Windows NT this option installs the server as a system service and set it to run automatically on system start.. It is up to you to configure its start options using the service manager provided with your system.
    • Server state on startup
      You can determine if the server is always running / stopped when started up or is in the state of the previous session. By default server is offline when started up.
  • Control Options
    • Allow remote control of the server
      When checked remote control ( control using a distant computer ) is allowed. Note that this can be a security breach as the connect might be intercepted.
    • Port Number
      Port of the control server. By default it is 8540. You shouldn't have to change this value.
    • Password
      Password to be provided on authentification. Strongly recommended to put one.
    • Control Refresh
      This control how often statistics are refreshed. Increase or decrease according to your bandwidth capacity. Note that it slows down the server.
  • Connections Options
    • Server port
      Designate the server port. Default FTP port value: 21.
    • Max number of users
      Maximum number of simultaneous connects (not including data connects).
    • Limit identification to ...
      When a user tries to login a certain amount of times, you can decide to kick him or ban him ( add his IP to the banned masks ).
    • Delete uploads on abort
      If uploads transfers aren't completed and aborted, then server will delete ( incomplete) uploaded files
  • Miscellaneous
    • Hide passwords with ***** characters
      Hide passwords displayed in the user and settings dialog and replace it with *. Note that this does not encrypt passwords.

IP Configuration Tab

  • Home IP Configuration
    • Passive Address & Port settings
      You can specify an address to be used for passive connects. If the address is blank a default address will be used. You can also specify the port range used for those connects. You can set either an IP or an hostname as a passive address and one different for each IP on your system.
      The default IP is special because its parameters are used for the "default" option used in other IPs. It is also the default for future new interfaces (such as dial-up connections). Automatic let the computer determine what IP is to be used for passive connects. It is usually the IP on which the client is connected to.
  • Connections Options
    • Accept no more than XXX connections from one IP
      Some client connects multiple times to get more bandwidth. With this option, you can limit the number of connects per IP.
    • Refuse different IP on transfers
      On transfers, FTP clients may give another IP than theirs. It can be used to do server to server transfers, but the connect can be subject to a bounce attacks ( a hacker gets control over the connect, thus modifying or getting the transmitted data ).
    • Resolve IP to hostname
      This option resolves IP to hostname, which is generally a more understandable form of address. It must be checked for hostname masks to be effective. But this options is really slow, and I advise not to use it if you don't really need it.

Ban Tab

  • Access Rules
    This is the list of the current access masks. (+) means accepted IP or hostnames, (-) refused. Mask type is indicated at the end of line.
  • Delete
    Select the mask you want to delete and click this button to delete it.
  • Accept
    Add specified accept mask. If the mask is IP Style, mask will be IP, otherwise it will be hostname based.
  • Refuse
    Add specified banned mask. If the mask is IP Style, mask will be IP, otherwise it will be hostname based.

    • Note: Hostname masks are effective only if in the server settings dialog, IP resolving to hostname is activated. As long as there is no accept mask, all connections are accepted ( excepting of course banned ones ). If there is accept masks, only IP or hostname satisfying those masks will be accepted.

Log Tab

  • File Log Options
    • Log to File
      Enable file Logging. Log files are placed under the log sub directory of the server directory.
    • Log file name
      Specify a part of the log file name. You must not put a path here, logging will fail then.
    • Log file changes
      Select the kind of file rotation you want. Each filename has a date information related to the kind of rotation. ( a full date for daily rotation, a week number for a week rotation, etc ).
  • Screen Log & Information Options
    • Log To Screen if server is local / Distant
      Enable screen logging is the controlled server is either on the same computer or on another computer. Note: Screen logging is very CPU time consuming. This is even more true for remote logging.
    • Disable log to screen when minimized
      When the application is minimized ( iconic ), screen logging is deactivated.
    • Display statistics and information
      Allow the use of the statistic window and the left pane of the main window. Because it is bandwidth consuming, the distant option is deactivated by default.
    • General and spy logs buffer size
      Screen log and spy log buffers are size limited. You can specify the size of them.
  • Log Options
    These are the different events to be logged. You can decide to log to file, to screen, or both. One column for each type of log.
    • Log Client requests
      Log all the commands sent by the clients. Deactivated by default.
    • Log Server answers
      Log all servers answers to clients requests. Deactivated by default.
    • Log Connections
      Log when a client connects. ( not logged in ).
    • Log Disconnections
      Log when a client disconnects.
    • Log successful logins
      Log successful logins ( good user name & password ).
    • Log failed logins
      Log faled logins ( either bad user name & / or password ).
    • Log initiated downloads
      Log the beginning of a download.
    • Log initiated uploads
      Log the beginning of an upload.
    • Log end of downloads
      Log the end of a successful download.
    • Log end of uploads
      Log the end of a successful upload.
    • Log file system modification
      Log file deletion, directory creation and deletion.


Statistic Window

Connection List

Connection Toolbar

  • User Name
    This is the account name.
  • Connect ID
    Each connection has a unique ID number.
  • Address
    IP address of the client.
  • Connection Date
    Date of connection.
  • Directory
    The directory where the user is located.
  • Download Speed
    Transfer speed.
  • Upload Speed
    Transfer speed.
  • Idle for
    It indicated the time during which the user didn't do something.
  • Ratio Credit
    Ratio Credit, may be expressed in files or bytes.
  • Quota Credit
    Quota Credit, may be expressed in files or bytes.

Spy View

Right bottom pane, is a Spy view: when you select a connect in the connect list, the specific log of this user is displayed. Please note that if you want to have the full log ( answers and requests ) you will have to set it in the server options dialog.

Download & Upload Graph

In order to see the download and upload statistics of a connection, you must first select it in the list. Then the graph starts recording the transfer activities of the client. The scaling is automatic. Take care to read what unit is used ( By/s stand for bytes per second etc).


Spy Window

The specific log of the user is displayed in the window. Client commands are in red, server answers in blue.


Simple Tutorial

Simple Settings Tutorial

This tutorial will explain how to set up quickly a simple FTP site. We will configure an anonymous access to a single directory.

Step 1

Launch CesarFTP. If you run it for the first time, you should see this.

We will create our account. Please click on the surrounded icon (in red).

Step 2

You should see this dialog:

1st

Click on the "Add User" button. "New User" should appear in the list. The focus is directly set to "User/Group" name.

2nd

Set the account name. Whatever you wish.

3rd

Click on the "Anonymous Access" button. This sets up login and password automatically.

4th

Let's share some files now ! Click on the "File Access Rights" button.

Step 3

You should see this frame :

The two upper panes show your computer file system. Choose a directory you'd like to share, and drag and drop it in one of the two bottom panes, showing the server file system. Here I choosed to share the "school" directory. Once done, close the frame. Then click on the "OK" button of the User and Group Settings dialog.

It's almost done !

Step 4

You should be back to the main window:

Now you just have to put the server on-line ! Just click on the fire to put in it green (on-line state). Your FTP server is ready ! Just give an URL such as this one to the future users: ftp://my_ip where my_ip is your IP address.

Well done !


How to automatically compress uploaded files ?

I will explain how to compress uploaded files. There are many variants of this sample, but hopefully once you have understood how it works, it is very easy to modify it. This example uses WinRAR, an excellent compressor for Windows which has great command line options.

I assume that you have already created an account and set a folder where the user will be able to put his files.

  1. First of all open the User Dialog, select the account, then go to the events tab.
  2. Click on the "a file as been uploaded" event.
  3. Click on the execute check box.
  4. Add the path where winrar.exe resides. In the example, it is c:\Program Files\WinRAR\Winrar.exe
    You can use the ... button that brings up a browser window.
  5. Add the correct arguments. Here it is: a -s -ep1 "%FILEDIR\%USERNAME" "%FILEPATH"
    Notice the use of inverted commas in order to handle correctly paths with spaces in them.
    This command line creates a RAR file named with the name of the user. Each uploaded file will be added to the archive. Notice that the original file is not destroyed. Please check your compressor documentation for the different command line options. With winRAR especially, you can do all kind of processing.

Go to main page


How to set an upload directory ?

This how to explains how to set up a directory where users will be able to upload some files.

This how to assumes that you have already created an account and added the directory to share.

  • Open the user settings dialog.
  • Select the account you want to modify.
  • Click the "File Access Rights" button.
  • We are in the browser window. Here is now the interesting stuff.
  • Create a upload directory using the Explorer.
  • Return to CesarFTP Browser window. Browse in the left upper pane till you find the directory you have created.
  • Drag and drop it in one of the two bottom panes.
  • Be sure that you have selected it.
  • Uncheck the "Inherit" check box. Other boxes are now active.
  • Uncheck read ( this will prevent people from grabbing files from this directory )
  • Check write, and at your discretion check append ( this allows resuming ). Do not check delete: users may intentionally delete some of the uploaded files.
  • You may check "Make": this will allow users to create directories.
  • Close the browser window. Click OK to save and exit the user settings dialog.
  • You can now check if everything works fine.

Go to main page


Contact Information

Please feel free to contact me for any purpose ! I would like to have some feedbacks especially for bugs you may encounter while using this software.
If you have a problem using CesarFTP, please always indicate clearly your problem as well as the CesarFTP version you are using.

Author: Alexandre Cesari

Website: http://www.aclogic.com/

e-mail: cesarftp@aclogic.com

Snail mail:
Cesari Alexandre
8, avenue de Robinson
92290 Chatenay Malabry


.topic 1
Grant read access to files in  the directory.
This allows downloading of those files.

.topic 2
Grant write access to files in the directory.
This allows creation of new uploaded files.
If you want to allow users to resume uploads,
you must set the append access right.

.topic 3
Grant delete access to files in the directory.
Apart from the right to delete files, this also
allows renaming of them.
Use with care.

.topic 4
Grant append access to files in the directory.
This doesn't allow uploading of new files like
the write access right, but allows to resume
uploads as well as writing over an actual file
limit. Use with care, as a user can increase
a file size, thus making it unusable.

.topic 5
Inherit means that this directory as exactly the
same properties as its parents. Those properties
cannot be changed without removing this inheritance.

.topic 6
Grant list right of the directory.
This allows user to make a list of the directory,
and know what are the files it contains.

.topic 7
Grant directory delete right. Users can with this
right delete a directory.

.topic 8
Grant access to sub directories. Without this
right, users cannot have access to sub directories.

.topic 9
Grant directory creation right. This allows users
to create new directories.

.topic 10
This textbox shows the real path that match with the
virtual path on the FTP server.

.topic 11
This removes all the changes made to directory children
inlcuding files and directories. "Deleted" files and
directories are again active, access rights changes are
removed, new files ( links ) are also removed.


.topic 1
This button hide / unhide the connection list


.topic 1
This is the list of the current users and groups.
 Users belonging to a group are situated under
their group and indented. Stand alone users
aren't indented.

.topic 2
Pushing this button will add a  new user ( account ).

.topic 3
Pushing this button will add a  new group ( account ).

.topic 4
Pushing this button will delete the currently
selected group or user.